Bug 154245 - New port: graphics/xournal A notetaking application that can annotate PDFs
Summary: New port: graphics/xournal A notetaking application that can annotate PDFs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-23 18:00 UTC by me
Modified: 2011-02-01 09:20 UTC (History)
0 users

See Also:


Attachments
file.shar (4.79 KB, text/plain)
2011-01-23 18:00 UTC, me
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description me 2011-01-23 18:00:19 UTC
The port was tested with porttools on my machine and Chris Rees tested in his tinderbox.

The port is not DATADIR-safe: Setting DATADIR is ignored altogether by the port. Thus, the portlint warnings suggesting to use DATADIR in pkg-plist were ignored.

Thanks to Chris Rees for his suggestions, especially telling me to use INSTALL_TARGET. (The middle of the discussion: http://lists.freebsd.org/pipermail/freebsd-ports/2011-January/065498.html )

Fix: If the shar file attached is corrupted, a copy is located here: http://www.math.uni-hamburg.de/home/sylvester/xournal.shar

Patch attached with submission follows:
Comment 1 Ganael LAPLANCHE freebsd_committer 2011-01-27 16:15:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

I will take care of it.
Comment 2 dfilter freebsd_committer 2011-02-01 09:13:23 UTC
martymac    2011-02-01 09:13:17 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/xournal     Makefile distinfo pkg-descr pkg-plist 
    graphics/xournal/files patch-Makefile.in 
  Log:
  Add xournal 0.4.5, a notetaking application that can annotate PDFs.
  
  PR:     ports/154245
  Submitted by:   Jan Henrik Sylvester <me at janh.de>
  Approved by:    ehaupt (mentor)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.1375    +1 -0      ports/graphics/Makefile
  1.1       +46 -0     ports/graphics/xournal/Makefile (new)
  1.1       +2 -0      ports/graphics/xournal/distinfo (new)
  1.1       +31 -0     ports/graphics/xournal/files/patch-Makefile.in (new)
  1.1       +13 -0     ports/graphics/xournal/pkg-descr (new)
  1.1       +57 -0     ports/graphics/xournal/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ganael LAPLANCHE freebsd_committer 2011-02-01 09:15:35 UTC
State Changed
From-To: open->closed

Committed with minor changes, thanks!